SHUTDOWN(8)

NAME
shutdown - close down the system at a given time

SYNOPSIS
shutdown [-] [-dfhknpr] time [warning-message ...]

DESCRIPTION
shutdown provides an automated shutdown procedure for superusers to nicely notify users when the system is shutting down, saving them from system administrators, hackers, and gurus, who would otherwise not bother with such niceties. When the shutdown command is issued without options the system is placed in single user mode at the indicated time after shutting down all system services.

The options are as follows:

-d  When used with -h, -p, or -r causes system to perform a dump. This option is useful for debugging system dump procedures or capturing the state of a corrupted or misbehaving system. See savecore(8) for information on how to recover this dump.

-f  Create the file /fastboot so that the file systems will not be checked by fsck(8) during the next boot. (See rc(8)).

-h  The system is halted at the specified time when shutdown execs halt(8).

-k  Kick everybody off. The -k option does not actually halt the system, but leaves the system multi-user with logins disabled (for all but superuser).

-n  When used with -h, -p, or -r prevents the normal sync(2) before stopping the system.

-p  The system is powered down at the specified time. The -p flag is passed on to halt(8), causing machines which support automatic power down to do so after halting.

-r  shutdown execs reboot(8) at the specified time.

time
    time is the time at which shutdown will bring the system down and may be the word now (indicating an immediate shutdown) or specify a future time in one of two formats: +number, or yymmddhhmm, where the year, month, and day may be defaulted to the current system values. The first form brings the system down in number minutes and the second at the absolute time specified.

warning-message
    Any other arguments comprise the warning message that is broadcast to users currently logged into the system.

-   If ‘-’ is supplied as an option, the warning message is read from the standard input.

At intervals, becoming more frequent as apocalypse approaches and starting at ten hours before shutdown, warning messages are displayed on the terminals of all users logged in. Five minutes before shutdown, or immediately if shutdown is in less than 5 minutes, logins are disabled by creating /etc/nologin and copying the warning message there. If this file exists when a user attempts to log in, login(1) prints its contents and exits. The file is removed just before shutdown exits.

At shutdown time a message is written in the system log, containing the time of shutdown, who initiated the shutdown and the reason. A terminate signal is then sent to init to bring the system down to single-user state (depending on above options). The time of the shutdown and the warning message are placed in /etc/nologin and should be used to inform the users about when the system will be back up and why it is going down (or anything else).

You can cancel a scheduled shutdown with the kill(1) command by killing the shutdown process.

FILES
/etc/nologin
    tells login not to let anyone log in
/etc/rc.shutdown
    run by rc(8) before the system is shutdown
/fastboot
    tells rc(8) not to run fsck(8) during the next boot

SEE ALSO
kill(1), login(1), wall(1), halt(8), rc.shutdown(8), reboot(8)

STANDARDS
The hours and minutes in the second time format may be separated by a colon (‘’): for backward compatibility.

HISTORY
The shutdown command appeared in 4.0BSD.